--
--
--
-- Manual profiles
--  by Fulgerul
--
--  This is a trigger module for Profiles: * that reverts addon_object
--	to the old way of saving and loading profiles, through manual /commands
--	
-- Enabling this trigger will cause all other triggers to disable
-- Disabling the trigger does NOT actually disable as we want CMD line iface

----------- [ Config ] --------

-- Main addon object containing AceEvent
local addon_obj = KPS
-- Where do we find save,load and delete ?

local save_profile_ref 	= "PreSaveBindsProfile"
local load_profile_ref 	= "PreLoadBindsProfile"
local del_profile_ref 	= "PreDeleteProfile"
local export_profile_ref 	= "ExportCharProfile"
local import_profile_ref 	= "ImportGlobalProfile"

-- SLASH specific code
SLASH_KPS1 = "/KPS"
-------------------------------

-- local addon_obj_mod = addon_obj:NewModule("Manual Profiles", "AceConsole-3.0", "AceEvent-3.0")


-- Module loaded
-- Disable all other triggers
-- function addon_obj_mod:OnEnable()
-----------------------------
--
--	Change SlashCmdList!
--
-----------------------------

	SlashCmdList["KPS"] = 
	function(msg)
	   local cmd, arg = string.split(" ", msg, 2)
	   cmd = string.lower(cmd or "")
	   arg = arg or ""
	   
		if (cmd == "version") then
			addon_obj:Echo("Profiles: Macros v."..MPS_Version)
		elseif (cmd=="list")then
			addon_obj:ListProfiles()
		elseif (cmd=="" or arg=="")then
			addon_obj:Echo(SLASH_KPS1.." delete <name>")
			addon_obj:Echo(SLASH_KPS1.." save <name>")
			addon_obj:Echo(SLASH_KPS1.." load <name>")
			addon_obj:Echo(SLASH_KPS1.." import")
			addon_obj:Echo(SLASH_KPS1.." export")
			addon_obj:Echo(SLASH_KPS1.." list")
			addon_obj:Echo(SLASH_KPS1.." version")
			addon_obj:Echo(SLASH_KPS1.." debug [on|off]")
		elseif (cmd=="save" and arg~="")then
			addon_obj[save_profile_ref](addon_obj, arg)
		elseif (cmd=="load" and arg~="")then
			addon_obj[load_profile_ref](addon_obj, arg)
		elseif (cmd=="delete" and arg~="")then
			addon_obj[del_profile_ref](addon_obj, arg) -- Thanks Adirelle :)
		elseif (cmd=="export" and arg~="")then
			addon_obj[export_profile_ref](addon_obj, arg)
		elseif (cmd=="import" and arg~="")then
			addon_obj[import_profile_ref](addon_obj, arg)
		else    
			addon_obj:Echo("wrong entry")
	   end
	end
-- end